<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>profile</title>
</head>
<body>
<a href="/student/edit_profile">แก้ไขข้อมูลส่วนตัว</a>
<div>
    <h2> ประวัติส่วนตัว </h2>
    <p>
        <b> ชื่อ : </b>
        <span th:text="${student.getStudentEntity().getFirstname()}"/>
    </p>
    <p>
        <b> สกุล : </b>
        <span th:text="${student.getStudentEntity().getLastname()}"/>
    </p>
    <p>
        <b> วันเกิด: </b>
        <span th:text="${dob}"/>
    </p>
    <p>
        <b> อายุ: </b>
        <span th:text="${age}"/> ปี
    </p>
    <p>
        <b> ที่อยุ่: </b>
        <span th:text="${student.getStudentEntity().getDob()}"/>
    </p>
</div>

<div>
    <h2> ประวัติในมหาวิทยาลัย </h2>
    <p>
        <b> หลักสูตร : </b>
        <span th:text="${student.getStudentEntity().getDepartment().getDepartmentName()}"/>
    </p>
    <p>
        <b> รหัสนักศึกษา : </b>
        <span th:text="${student.getUsername()}"/>
    </p>
    <p>
        <b> ชั้นปี : </b>
        <span th:text="${student.getStudentEntity().getYear().getYear()}"/>
    </p>
</div>

<div>
    <p>
        <div th:switch="${student.getStudentEntity().getAvailableStatus()}">
            <span th:case="0"><b> สถานะเปิดรับงาน : </b>ปิดรับงาน</span>
            <span th:case="1"><b> สถานะเปิดรับงาน : </b>เปิดรับงาน</span>
        </div>
    </p>

    <p>
        <b> สถานะนักศึกษา : </b>
        <span th:if="${student.getStudentEntity().getGpa() >= 2.0}">สภาพปกติ</span>
        <span th:unless="${student.getStudentEntity().getGpa() >= 2.0}">สภาพวิทยาทัณฑ์</span>
    </p>

    <p>
    <div th:switch="${student.getStudentEntity().getAvailableStatus()}">
        <span th:case="0"><b> สถานะทางทหาร : </b>รอการเกณฑ์ทหาร</span>
        <span th:case="1"><b> สถานะทางทหาร : </b>ผ่านการเกณฑ์ทหาร</span>
    </div>
    </p>
</div>

<div>
    <h2>ที่อยู่</h2>
    <div th:text="${student.getStudentEntity().getAddress()}"/>
</div>

<div>
    <h2> ติดต่อ </h2>

    <p>
        <b> เบอร์โทรศัพท์ : </b>
        <span th:text="${student.getStudentEntity().getPhoneNo()}"/>
    </p>
    <p>
        <b> Line ID : </b>
        <span th:text="${student.getStudentEntity().getLineId()}"/>
    </p>
    <p>
        <b> Facebook : </b>
        <span th:text="${student.getStudentEntity().getFacebook()}"/>
    </p>

</div>

</body>
</html>